Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class IDEAJRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.OnTheFlyRenderer
              net.sourceforge.pmd.renderers.IDEAJRenderer

All Implemented Interfaces:
  Renderer

    public class IDEAJRenderer

extends OnTheFlyRenderer

Field Summary

Fields inherited from class net.sourceforge.pmd.renderers.OnTheFlyRenderer
`errors, suppressed`

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`IDEAJRenderer(java.lang.String[] args)`

Method Summary
`void` | `end()`
`void` | `renderFileViolations(java.util.Iterator<IRuleViolation> violations)`
`void` | `start()`

Methods inherited from class net.sourceforge.pmd.renderers.OnTheFlyRenderer
`render, renderFileReport`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`getWriter, render, setWriter, showSuppressedViolations, startFileAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDEAJRenderer

    public IDEAJRenderer(java.lang.String[] args)

Method Detail

### start

    public void start()
               throws java.io.IOException

  Specified by:
    `start` in interface `Renderer`
  Specified by:
    `start` in class `OnTheFlyRenderer`
  Throws:
    `java.io.IOException`

### renderFileViolations

    public void renderFileViolations(java.util.Iterator<IRuleViolation> violations)
                              throws java.io.IOException

  Specified by:
    `renderFileViolations` in class `OnTheFlyRenderer`
  Throws:
    `java.io.IOException`

### end

    public void end()
             throws java.io.IOException

  Specified by:
    `end` in interface `Renderer`
  Specified by:
    `end` in class `OnTheFlyRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.